"use client";
import React, { useState } from "react";
import Image from "next/image";
interface SingleCardpProps {
  id: number;
  title: string;
  bigImg: string;
  img1: string;
  img2: string;
  img3: string;
  img4: string;
  img5: string;
  price: string;
  rating: string;
  description: string;
}
const SingleCardRoom: React.FC<SingleCardpProps> = ({
  id,
  title,
  bigImg,
  img1,
  img2,
  img3,
  img4,
  img5,
  price,
  rating,
  description,
}) => {
  const [bigImage, setBigImage] = useState<string>(bigImg);

  const handlePictureChange = (img: string) => {
    setBigImage(img);
  };
  return (
    <div>
      <div className="flex flex-col gap-4 lg:w-[890px] p-5 lg:p-0">
        <h3 className="font-poppins font-[600] lg:text-[50px] text-[20px] text-white lg:text-start text-center mb-5">
          {title}
        </h3>
        <Image src={bigImage} alt="room1" height={388} width={900}></Image>
        <div className="flex gap-5 flex-wrap lg:flex-row">
          <Image
            src={img1}
            alt="room1"
            height={103}
            width={154}
            className="cursor-pointer"
            onClick={() => handlePictureChange(img1)}
          ></Image>
          <Image
            src={img2}
            alt="img2"
            height={103}
            width={154}
            className="cursor-pointer"
            onClick={() => handlePictureChange(img2)}
          ></Image>
          <Image
            src={img3}
            alt="room3"
            height={103}
            width={154}
            className="cursor-pointer"
            onClick={() => handlePictureChange(img3)}
          ></Image>
          <Image
            src={img4}
            alt="room3"
            height={103}
            width={154}
            className="cursor-pointer"
            onClick={() => handlePictureChange(img4)}
          ></Image>
          <Image
            src={img5}
            alt="room3"
            height={103}
            width={154}
            className="cursor-pointer"
            onClick={() => handlePictureChange(img5)}
          ></Image>
        </div>

        <div className="flex justify-between w-full ">
          <p className="font-poppins font-[600] lg:text-[30px] text-[20px] text-white">
            {price}
          </p>
          <div className="flex gap-5 justify-center items-center">
            <Image
              src="/rooms/Vector.png"
              height={21}
              width={21}
              alt="star"
            ></Image>
            <span className="text-white font-[500] font-poppins text-white">
              {rating}
            </span>
          </div>
        </div>
        <h3 className="font-poppins font-[600] lg:text-[30px] text-[20px] text-[#CE972F]">
          Description
        </h3>
        <p className="text-white font-poppins font-[500] lg:text-[20px] lg:w-[900px] text-[18px] leading-10">
          {description}
        </p>
      </div>
    </div>
  );
};

export default SingleCardRoom;
